package com.simuwang.base.common.exception;

import com.smppw.common.pojo.enums.status.StatusCode;

/**
 * @author wangzaijun
 * @date 2024/10/11 14:10
 * @description 报告解析的异常
 */
public class ReportParseException extends RuntimeException {
    private final int code;
    private final String msg;

    public ReportParseException(StatusCode statusCode) {
        this(statusCode.getCode(), statusCode.getMsg());
    }

    public ReportParseException(int code, String msg) {
        super(msg);
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
